// Rem output with px fallback
@mixin font-size($sizeValue: 1) {
	font-size: ($sizeValue * 16) * 1px;
	font-size: $sizeValue * 1rem;
}

/**
/// Automatically color the text according to the $bgColor
/// @param  {color} $bgColor Background color of the current Tag
*/
@mixin text-contrast($bgColor) {
  $color-brightness: round((red($bgColor) * 299) + (green($bgColor) * 587) + (blue($bgColor) * 114) / 1000);
  $light-color: round((red(#ffffff) * 299) + (green(#ffffff) * 587) + (blue(#ffffff) * 114) / 1000);

  @if abs($color-brightness) < ($light-color/2){
    color: #fff;
  } @else {
    color: #000;
  }
}

/// Automatically color the text according to the $bgColor
/// @param  {color} $bgColor Background color of the current Tag
/// @return {color} The value according to the $bgColor
@function get-text-contrast($bgColor) {
  $color-brightness: round((red($bgColor) * 299) + (green($bgColor) * 587) + (blue($bgColor) * 114) / 1000);
  $light-color: round((red(#ffffff) * 299) + (green(#ffffff) * 587) + (blue(#ffffff) * 114) / 1000);

  @if abs($color-brightness) < ($light-color/2){
    @return white;
  }

  @else {
    @return black;
  }
}
